Index: trunk/include/sh_error.h
===================================================================
--- trunk/include/sh_error.h	(revision 582)
+++ trunk/include/sh_error.h	(revision 1)
@@ -30,5 +30,5 @@
   SH_ERR_T_START  = 0,
 
-  /* 1-13 = SH_LEVEL_XXX */
+  /* 1-9 = SH_LEVEL_XXX */
 
   SH_ERR_T_RO      = SH_LEVEL_READONLY,
@@ -40,14 +40,11 @@
   SH_ERR_T_USER0   = SH_LEVEL_USER0,  
   SH_ERR_T_USER1   = SH_LEVEL_USER1,  
-  SH_ERR_T_USER2   = SH_LEVEL_USER2,  
-  SH_ERR_T_USER3   = SH_LEVEL_USER3,  
-  SH_ERR_T_USER4   = SH_LEVEL_USER4,  
   SH_ERR_T_PRELINK = SH_LEVEL_PRELINK,  
 
-  SH_ERR_T_DIR    = 13,
-  SH_ERR_T_FILE   = 14,
-  SH_ERR_T_NAME   = 15,
+  SH_ERR_T_DIR    = 10,
+  SH_ERR_T_FILE   = 11,
+  SH_ERR_T_NAME   = 12,
 
-  SH_ERR_T_END    = 16
+  SH_ERR_T_END    = 13
 };
 
@@ -84,32 +81,32 @@
 /* set mask for message class
  */
-int sh_error_log_mask (const char * c);
-int sh_error_print_mask (const char * c);
-int sh_error_mail_mask (const char * c);
-int sh_error_export_mask (const char * c);
-int sh_error_syslog_mask (const char * c);
-int sh_error_external_mask (const char * c);
-int sh_error_database_mask (const char * c);
-int sh_error_prelude_mask (const char * c);
+int sh_error_log_mask (char * c);
+int sh_error_print_mask (char * c);
+int sh_error_mail_mask (char * c);
+int sh_error_export_mask (char * c);
+int sh_error_syslog_mask (char * c);
+int sh_error_external_mask (char * c);
+int sh_error_database_mask (char * c);
+int sh_error_prelude_mask (char * c);
 
 
-int sh_error_verify (const char * s);
-int sh_error_logverify_mod (const char * s); /* just list, don't verify */
-int sh_error_logverify (const char * s);
+int sh_error_verify (char * s);
+int sh_error_logverify_mod (char * s); /* just list, don't verify */
+int sh_error_logverify (char * s);
 
 void sh_error_dbg_switch(void);
 
 #ifdef SH_WITH_SERVER
-
 void sh_error_set_peer(const char * str);
-#ifdef HAVE_LIBPRELUDE
-void sh_error_set_peer_ip(const char * str);
-#endif
-int  set_flag_sep_log (const char * str);
+int  set_flag_sep_log (char * str);
 #endif
 
 /* init or re-init log facilities that need it
  */
-void sh_error_fixup(void);
+void sh_error_fixup();
+
+/* convert a string to a numeric priority
+ */ 
+int sh_error_convert_level (char * str_s);
 
 /* only to stderr (GOOD/BAD)
@@ -117,64 +114,60 @@
 void sh_error_only_stderr (int flag);
 
-/* facilities unsafe for closeall()
- */
-void sh_error_enable_unsafe (int flag);
-
 /* set syslog facility 
  */
-int  sh_log_set_facility (const char * c);
-
-/* map heartbeat messages 
- */
-int sh_log_set_stamp_priority (const char * c);
+int  sh_log_set_facility (char * c);
 
 /* define message header
  */
-int sh_error_ehead (/*@null@*/const char * s);
+int sh_error_ehead (/*@null@*/char * s);
 
 /* set level for error logging 
  */
-int sh_error_setlog(const char * str_s);
+int sh_error_setlog(char * str_s);
 
 /* set severity levels
  */
-int sh_error_set_iv (int iv, const char *  severity_s);
+int sh_error_set_iv (int iv, char *  severity_s);
 
 /* set priorities
  */
-int sh_error_set_level(const char * str_s, int *facility);
+int sh_error_set_level(char * str_s, int *facility);
 
 /* set level for TCP export
  */
-int sh_error_setexport(const char *  str_s);
+int sh_error_setexport(char *  str_s);
 
 /* set level for syslog
  */
-int sh_error_set_syslog (const char * flag_s);
+int sh_error_set_syslog (char * flag_s);
 
 /* set level for printing
  */
-int sh_error_setprint(const char *  flag_s);
+int sh_error_setprint(char *  flag_s);
 
 /* set severity for external
  */
-int sh_error_set_external (const char * str_s);
+int sh_error_set_external (char * str_s);
 
 /* set severity for external
  */
-int sh_error_set_database (const char * str_s);
+int sh_error_set_database (char * str_s);
 
 /* set severity for external
  */
-int sh_error_set_prelude (const char * str_s);
+int sh_error_set_prelude (char * str_s);
 
 
 /* set level for mailing
  */
-int sh_error_setseverity (const char * flag);
+int sh_error_setseverity (char * flag);
 
 /* set debug level
  */
 int sh_error_setdebug (char * debug_s);
+
+/* error messages
+ */
+/*@owned@*/char * sh_error_message (int tellme);
 
 /* switch on/off log to file temporarily
@@ -183,23 +176,17 @@
 void sh_error_logrestore(void);
 
-/* short errfile
- */
-void sh_efile_report();
-int sh_efile_path(const char * str);
-int sh_efile_group(const char * str);
-
 /* (re)set the console device(s)
  */
-int sh_log_set_console (const char * address);
+int sh_log_set_console (char * address);
 void reset_count_dev_console(void);
 
-/* close the message queue [no-op if !defined(WITH_MESSAGE_QUEUE)]
+#ifdef WITH_MESSAGE_QUEUE
+/* close the message queue
  */
 void close_ipc (void);
 
-#ifdef WITH_MESSAGE_QUEUE
 /* enable message queue
  */
-int enable_msgq(const char * foo);
+int enable_msgq(char * foo);
 #endif
  
